package com.yeejoin.amos.boot.module.jxiop.biz.controller;

import com.yeejoin.amos.boot.module.jxiop.biz.jxdz.factory.JXDZExecute;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.typroject.tyboot.core.foundation.enumeration.UserType;
import org.typroject.tyboot.core.restful.doc.TycloudOperation;

@RestController
@RequestMapping(value = "/jxdz")
public class JXDZExecuteController {
    @Autowired
    JXDZExecute jxdzExecute;

    @TycloudOperation(needAuth = false, ApiLevel = UserType.AGENCY)
    @GetMapping("/testDay")
    public String testDay() {
        jxdzExecute.dayInterface();
        return "Success";
    }

    @TycloudOperation(needAuth = false, ApiLevel = UserType.AGENCY)
    @GetMapping("/testHour")
    public String testHour() {
        jxdzExecute.hourInterface();
        return "Success";
    }
}
